Package org.spongepowered.asm.launch

## Class MixinInitialisationError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - org.spongepowered.asm.mixin.throwables.MixinError
      - - org.spongepowered.asm.launch.MixinInitialisationError

All Implemented Interfaces:
  `java.io.Serializable`

    public class MixinInitialisationError
    extends org.spongepowered.asm.mixin.throwables.MixinError

Error raised when mixin subsystem initialisation fails

See Also:
  Serialized Form

### Constructor Summary

Constructors
`MixinInitialisationError()`
`MixinInitialisationError​(java.lang.String message)`
`MixinInitialisationError​(java.lang.String message, java.lang.Throwable cause)`
`MixinInitialisationError​(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MixinInitialisationError

    public MixinInitialisationError()

#### MixinInitialisationError

    public MixinInitialisationError​(java.lang.String message)

#### MixinInitialisationError

    public MixinInitialisationError​(java.lang.Throwable cause)

#### MixinInitialisationError

    public MixinInitialisationError​(java.lang.String message,
                                    java.lang.Throwable cause)